Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 587997 - The default options for scsi_id have changed, which needs updating in the doc and man page
Summary: The default options for scsi_id have changed, which needs updating in the doc...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-DM_Multipath
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Steven J. Levine
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-02 02:41 UTC by Justin Clift
Modified: 2010-11-11 15:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-11 15:27:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Justin Clift 2010-05-02 02:41:50 UTC
Description of problem:

In "4.3. Configuration File Defaults", there are two mentions of the default options used for the "getuid_callout" field.

The document presently says:

  getuid_callout          "/sbin/scsi_id -g -u -s /block/%n"

However, this is no longer the case, and won't actually work.

The multipath.conf man page now says the default options are:

  "/lib/udev/scsi_id --whitelisted --device=/dev/%n"

(Which ironically won't work either, as the path to scsi_id on RHEL 6 is "/sbin/scsi_id".  The man page has the options correct, but the path wrong.)

The corrected version for the doc should be this:

  getuid_callout          "/sbin/scsi_id --whitelisted --device=/dev/%n"

Comment 2 RHEL Program Management 2010-05-02 04:23:17 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Justin Clift 2010-05-25 04:29:52 UTC
Double checked the path for scsi_id here on RHEL 6, and F13, and they both have:

$ ls -al /sbin/scsi_id 
lrwxrwxrwx. 1 root root 19 Apr 29 16:25 /sbin/scsi_id -> ../lib/udev/scsi_id
$

So at least the path is actually workable after all.

The options are still wrong in the Multipath doc though.

Comment 5 Steven J. Levine 2010-10-12 20:33:13 UTC
The scsi_id examples have been updated in the DM-Multipath document for RHEL 6. The changes have been checked in to the SVN repository and built on the review staging area. I am marking this bug as MODIFIED.

Comment 7 Michael Doyle 2010-10-15 03:27:53 UTC
Verified in Red_Hat_Enterprise_Linux-DM_Multipath-6-en-US-1-18.

Comment 8 releng-rhel@redhat.com 2010-11-11 15:27:41 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.